/*
=============== TopStepFlow =================
*/
/*EIP 啟用轉換模組*/


/*
================ Left Button ================
*/

/*EIP 模組*/
function main_EipToMqtt_click(that)
{
	var LeftDivId="#Main_Left-List";
	var Class = new ListCommon();
	Class.ChangeDivCss(that, LeftDivId);
	Class = new Path();
	Class.LoadPathHtml($(that).text(), 1, "main_PathEipToMqtt_click(this)");
	Class = new LoadHtml();
	var Html = Class.ReadTranslateAfterOfHtml("./Plugin/EipToMqtt/html/Css.html");
	Html = Html + Class.ReadTranslateAfterOfHtml("./Plugin/EipToMqtt/html/UpdatePage.html");	
	Html = Html + Class.ReadTranslateAfterOfHtml("./Plugin/EipToMqtt/html/FirstPage.html");
	Html = Html + Class.ReadTranslateAfterOfHtml("./Plugin/EipToMqtt/html/SecondPage.html");
	$("#Main_Center-Content").empty();
	$("#Main_Center-Content").append(Html);
	Class = new EipToMqttUpdatePage();
	Class.Initialization();
	Class = null;
}
/*路徑 EIP*/
function main_PathEipToMqtt_click(that)
{
	var Class = new Path();
	Class.ClearTheDivOfTheTail(that, "#Main_Top-Path");
	$("#Main_Left-List").css("display", "block");
	Class = new EipToMqttSecondPage();
	Class.NoConfirmButton();
	Class = null;
}
/*
=================Center Button=================
*/
/*
--------------------第一頁----------------------
*/
/*編輯*/
function main_EipToMqttSettingButton_click(that)
{
	var Class = new EipToMqttFirstPage();
	Class.EditButton(that);
	Class = null;
}
/*單模組打勾checkbox*/
function main_EipToMqttChangeCheckbox_click(that)
{
	var Class = new EipToMqttFirstPage();
	Class.ChangeCheckbox(that);
	Class = null;
}
/*全部模組打勾*/
function main_EipToMqttChangeAllCheckbox_click(that)
{
	var Class = new EipToMqttFirstPage();
	Class.ChangeAllCheckbox(that);
	Class = null;
} 
/*上一頁*/
function main_EipToMqttShowPreviousPage_click()
{
	var Class = new EipToMqttFirstPage();
	Class.ShowPreviousPage();
	Class = null;
}
/*下一頁*/
function main_EipToMqttShowNextPage_click()
{
	var Class = new EipToMqttFirstPage();
	Class.ShowNextPage();
	Class = null;
}
/*儲存按鈕*/
function main_EipToMqttSaveButton_click(that)
{
	var Class = new EipToMqttFirstPage();
	Class.SaveButton(that);
	Class = null;
}
/*
------------- 第二頁 ---------------
*/


/*顯示*/
function main_EipToMqttShowColumn_click()
{
	var Class = new EipToMqttSecondPage();
	Class.ShowColumn();
	Class = null;
}
/*隱藏*/
function main_EipToMqttHideColumn_click()
{
	var Class = new EipToMqttSecondPage();
	Class.HideColumn();
	Class = null;
}

/*保留訊息, 全選打勾*/
function main_EipToMqttRetainChangeAllCheckbox_click(that)
{
	var Class = new EipToMqttSecondPage();
	Class.RetainChangeAllCheckbox(that);
	Class = null;
}
/*啟用, 全選打勾*/
function main_EipToMqttEnabledChangeAllCheckbox_click(that)
{
	var Class = new EipToMqttSecondPage();
	Class.EnabledChangeAllCheckbox(that);
	Class = null;
}
/*確認*/
function main_EipToMqttConfirmButton_click(that)
{
	var Class = new EipToMqttSecondPage();
	Class.ConfirmButton(that);
	Class = null;
}

/*取消*/
function main_EipToMqttNoConfirmButton_click()
{
	var Class = new EipToMqttSecondPage();
	Class.NoConfirmButton();
	Class = null;
}
